type: google.api.Service
config_version: 3
name: containeranalysis.googleapis.com
title: Container Analysis API

apis:
- name: google.devtools.containeranalysis.v1beta1.ContainerAnalysisV1Beta1
- name: grafeas.v1beta1.GrafeasV1Beta1

documentation:
  summary: |-
    An implementation of the Grafeas API, which stores, and enables querying and
    retrieval of critical metadata about all of your software artifacts.
  overview: |-
    The Container Analysis API allows you to store and retrieve metadata for a
    container resource.

backend:
  rules:
  - selector: google.devtools.containeranalysis.v1beta1.ContainerAnalysisV1Beta1.SetIamPolicy
    deadline: 30.0
  - selector: google.devtools.containeranalysis.v1beta1.ContainerAnalysisV1Beta1.GetIamPolicy
    deadline: 30.0
  - selector: google.devtools.containeranalysis.v1beta1.ContainerAnalysisV1Beta1.TestIamPermissions
    deadline: 30.0
  - selector: google.devtools.containeranalysis.v1beta1.ContainerAnalysisV1Beta1.GetScanConfig
    deadline: 30.0
  - selector: google.devtools.containeranalysis.v1beta1.ContainerAnalysisV1Beta1.ListScanConfigs
    deadline: 30.0
  - selector: google.devtools.containeranalysis.v1beta1.ContainerAnalysisV1Beta1.UpdateScanConfig
    deadline: 30.0
  - selector: grafeas.v1beta1.GrafeasV1Beta1.GetOccurrence
    deadline: 30.0
  - selector: grafeas.v1beta1.GrafeasV1Beta1.ListOccurrences
    deadline: 30.0
  - selector: grafeas.v1beta1.GrafeasV1Beta1.DeleteOccurrence
    deadline: 30.0
  - selector: grafeas.v1beta1.GrafeasV1Beta1.CreateOccurrence
    deadline: 30.0
  - selector: grafeas.v1beta1.GrafeasV1Beta1.BatchCreateOccurrences
    deadline: 30.0
  - selector: grafeas.v1beta1.GrafeasV1Beta1.UpdateOccurrence
    deadline: 30.0
  - selector: grafeas.v1beta1.GrafeasV1Beta1.GetOccurrenceNote
    deadline: 30.0
  - selector: grafeas.v1beta1.GrafeasV1Beta1.GetNote
    deadline: 30.0
  - selector: grafeas.v1beta1.GrafeasV1Beta1.ListNotes
    deadline: 30.0
  - selector: grafeas.v1beta1.GrafeasV1Beta1.DeleteNote
    deadline: 30.0
  - selector: grafeas.v1beta1.GrafeasV1Beta1.CreateNote
    deadline: 30.0
  - selector: grafeas.v1beta1.GrafeasV1Beta1.BatchCreateNotes
    deadline: 30.0
  - selector: grafeas.v1beta1.GrafeasV1Beta1.UpdateNote
    deadline: 30.0
  - selector: grafeas.v1beta1.GrafeasV1Beta1.ListNoteOccurrences
    deadline: 30.0
  - selector: grafeas.v1beta1.GrafeasV1Beta1.GetVulnerabilityOccurrencesSummary
    deadline: 30.0

authentication:
  rules:
  - selector: '*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
